duf(1)

NAME
duf - Disk Usage/Free Utility

SYNOPSIS
duf [ options ]

DESCRIPTION
Simple Disk Usage/Free Utility.

Features:

    •   User-friendly, colorful output.

    •   Adjusts to your terminal's theme & width.

    •   Sort the results according to your needs.

    •   Groups & filters devices.

    •   Can conveniently output JSON.

OPTIONS

-all
    Include pseudo, duplicate, inaccessible file systems.

-hide string
    Hide specific devices, separated with commas: local, network, fuse, special, loops, binds.

-hide-fs string
    Hide specific filesystems, separated with commas.

-inodes
    List inode information instead of block usage.

-json
    Output all devices in JSON format.

-only string
    Show only specific devices, separated with commas: local, network, fuse, special, loops, binds.

-only-fs string
    Only specific filesystems, separated with commas.

-output string
    Output fields: mountpoint, size, used, avail, usage, inodes, inodes_used, inodes_avail, inodes_usage, type, filesys‐tem.

-sort string
    Sort output by: mountpoint, size, used, avail, usage, inodes, inodes_used, inodes_avail, inodes_usage, type, filesys‐tem (default "mountpoint").

-style string
    Style: unicode, ascii (default "unicode").

-theme string
    Color themes: dark, light (default "dark").

-version
    Display version.

-warnings
    Output all warnings to STDERR.

-width uint
    Max output width.

USAGE
You can simply start duf without any command-line arguments:

  $ duf
If you supply arguments, duf will only list specific devices & mount points:

  $ duf /home /some/file
If you want to list everything (including pseudo, duplicate, inaccessible file systems):

  $ duf --all
You can show and hide specific tables:

  $ duf --only local,network,fuse,special,loops,binds
  $ duf --hide local,network,fuse,special,loops,binds
You can also show and hide specific filesystems:

  $ duf --only-fs tmpfs,vfat
  $ duf --hide-fs tmpfs,vfat
Sort the output:

  $ duf --sort size
  Valid keys are: mountpoint, size, used, avail, usage, inodes, inodes_used, inodes_avail, inodes_usage, type, filesystem.
Show or hide specific columns:

  $ duf --output mountpoint,size,usage
  Valid keys are: mountpoint, size, used, avail, usage, inodes, inodes_used, inodes_avail, inodes_usage, type, filesystem.
List inode information instead of block usage:

  $ duf --inodes
If duf doesn't detect your terminal's colors correctly, you can set a theme:

  $ duf --theme light
If you prefer your output as JSON:

  $ duf --json

NOTES
Portions of duf's code are copied and modified from https://github.com/shirou/gopsutil.

gopsutil was written by WAKAYAMA Shirou and is distributed under BSD-3-Clause.

AUTHORS
duf was written by Christian Muehlhaeuser <https://github.com/muesli/duf/issues>.

This manpage was written by Francisco Vilmar Cardoso Ruviaro for the Debian project (but may be used by others).

COPYRIGHT
Copyright (C) 2020 Christian Muehlhaeuser <https://github.com/muesli/duf/issues>.

Released under MIT license.